module command.remoteundo.garagedoor;

import std.stdio : writeln;

class GarageDoor
{
    private string location;

    this(string location)
    {
        this.location = location;
    }

    void up()
    {
        writeln(location ~ " garage Door is Up");
    }

    void down()
    {
        writeln(location ~ " garage Door is Down");
    }

    void stop()
    {
        writeln(location ~ " garage Door is Stopped");
    }

    void lightOn()
    {
        writeln(location ~ " garage light is on");
    }

    void lightOff()
    {
        writeln(location ~ " garage light is off");
    }
}
